[SCM] mplayer packaging branch, master, updated. debian/1.0.rc2+svn20090303-2-52-g222872e
siretart at users.alioth.debian.org
siretart at users.alioth.debian.org
Sun Apr 5 20:24:13 UTC 2009
The following commit has been merged in the master branch:
commit 222872e3e92ea04d48aeadbbae0c2f02609910a0
Author: Reinhard Tartler <siretart at tauware.de>
Date: Sun Apr 5 22:23:26 2009 +0200
avoid dpkg conffile prompt on upgrades
this file contains a list of known conffiles found in lenny. in case we
learn about further conffiles triggering such a question, it can be
added here.
diff --git a/debian/mplayer.preinst b/debian/mplayer.preinst
new file mode 100644
index 0000000..979fca7
--- /dev/null
+++ b/debian/mplayer.preinst
@@ -0,0 +1,43 @@
+#!/bin/sh
+# preinst script
+#
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ install)
+ ;;
+ upgrade)
+ if dpkg --compare-versions "$2" le "1.0~rc3+svn20090405-1"; then
+ md5=`md5sum /etc/mplayer/mplayer.conf | cut -d' ' -f1`
+ case "$md5" in
+ 46f52a60c07ed788500056dd7ffd27b9)
+ echo "removing obsolete /etc/mplayer/mplayer.conf"
+ rm -f /etc/mplayer/mplayer.conf
+ esac
+ fi
+
+ ;;
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--
mplayer packaging
More information about the pkg-multimedia-commits
mailing list